Debian Bug report logs - #252525
ipython: "@hist -n" raises error

version graph

Package: ipython; Maintainer for ipython is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for ipython is src:ipython.

Reported by: Sven Marnach <sven@pantoffel-wg.de>

Date: Thu, 3 Jun 2004 23:33:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version 0.6.0-1

Fixed in version ipython/0.6.3-1

Done: Jack Moffitt <jack@xiph.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#252525; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Sven Marnach <sven@pantoffel-wg.de>:
New Bug report received and forwarded. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Marnach <sven@pantoffel-wg.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ipython: "@hist -n" raises error
Date: Fri, 04 Jun 2004 01:29:44 +0200
Package: ipython
Version: 0.6.0-1
Severity: minor

Entering

  @hist -n

without a following integer in the IPython shell raises a ValueError,
while documentation states this should be possible.

Greetings,
Sven

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (50, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.5-1-k7
Locale: LANG=C, LC_CTYPE=de_DE@euro

Versions of packages ipython depends on:
ii  python                        2.3.3-7    An interactive high-level object-o

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#252525; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Jack Moffitt <jack@xiph.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 252525@bugs.debian.org (full text, mbox):

From: Jack Moffitt <jack@xiph.org>
To: 252525@bugs.debian.org
Subject: this is fixed in ipython cvs
Date: Fri, 2 Jul 2004 07:57:03 -0600
The ipython team confirmed this problem and said the fix is in CVS.
Since they are nearing another release, and this issue is minor, I will
wait until the new upstream version to close this bug.

Thanks for the report,
jack.



Tags added: Request was from Jack Moffitt <jack@xiph.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Jack Moffitt <jack@xiph.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jack Moffitt <jack@xiph.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Marnach <sven@pantoffel-wg.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 252525-close@bugs.debian.org (full text, mbox):

From: Jack Moffitt <jack@xiph.org>
To: 252525-close@bugs.debian.org
Subject: Bug#252525: fixed in ipython 0.6.3-1
Date: Thu, 23 Sep 2004 00:32:09 -0400
Source: ipython
Source-Version: 0.6.3-1

We believe that the bug you reported is fixed in the latest version of
ipython, which is due to be installed in the Debian FTP archive:

ipython_0.6.3-1.diff.gz
  to pool/main/i/ipython/ipython_0.6.3-1.diff.gz
ipython_0.6.3-1.dsc
  to pool/main/i/ipython/ipython_0.6.3-1.dsc
ipython_0.6.3-1_all.deb
  to pool/main/i/ipython/ipython_0.6.3-1_all.deb
ipython_0.6.3.orig.tar.gz
  to pool/main/i/ipython/ipython_0.6.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 252525@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jack Moffitt <jack@xiph.org> (supplier of updated ipython package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 22 Sep 2004 21:39:38 -0600
Source: ipython
Binary: ipython
Architecture: source all
Version: 0.6.3-1
Distribution: unstable
Urgency: low
Maintainer: Jack Moffitt <jack@xiph.org>
Changed-By: Jack Moffitt <jack@xiph.org>
Description: 
 ipython    - An enhanced interactive Python shell
Closes: 252525 262244
Changes: 
 ipython (0.6.3-1) unstable; urgency=low
 .
   * New upstream release (Closes: #262244, #252525)
Files: 
 1b6601b859f8f19153062793babe5d48 583 devel optional ipython_0.6.3-1.dsc
 278477ed2da0708f3eae1ecb402f3b56 812098 devel optional ipython_0.6.3.orig.tar.gz
 ddc74e00c5276457bb5a0e582e4893b1 6053 devel optional ipython_0.6.3-1.diff.gz
 2480b8454c558305b53ea340370b4ad6 764554 devel optional ipython_0.6.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBUko3T3vyhK/7DBcRArXhAKCf2l+hEV41II/lmGVBwjz3DrISeACdEcWr
hHDffdg1H/EnRDETFez54nI=
=qgTu
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:39:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.